config.className=NaturalRubbersTemplate

config.fields[0].fieldName=header_companyInternalReference
config.fields[0].excelFieldName=Contract Number
config.fields[0].fieldType=String

config.fields[1].fieldName=header_customerFields_purchasingDoc
config.fields[1].excelFieldName=Purchasing Doc.
config.fields[1].fieldType=String

config.fields[2].fieldName=header_customerFields_plantNumber
config.fields[2].excelFieldName=Plant
config.fields[2].fieldType=String

config.fields[3].fieldName=lineItemsList_product_material_materialNumber
config.fields[3].excelFieldName=Material
config.fields[3].fieldType=String

config.fields[4].fieldName=lineItemsList_product_material_materialVersion
config.fields[4].excelFieldName=Batch
config.fields[4].fieldType=String

config.fields[5].fieldName=header_customerFields_deliveryDate
config.fields[5].excelFieldName=Delivery Date
config.fields[5].fieldType=String

config.fields[6].fieldName=lineItemsList_product_commodityDesc_goodsMeasure_netMass
config.fields[6].excelFieldName=PO Quantity
config.fields[6].fieldType=int

config.fields[7].fieldName=lineItemsList_product_hsCode
config.fields[7].excelFieldName=HSCode
config.fields[7].fieldType=String

config.fields[8].fieldName=header_customerFields_vendor
config.fields[8].excelFieldName=BSSG Vendor
config.fields[8].fieldType=String

config.fields[9].fieldName=header_customerFields_billOfLading
config.fields[9].excelFieldName=BSSG Final Bill No.
config.fields[9].fieldType=String

config.fields[10].fieldName=header_customerFields_factory
config.fields[10].excelFieldName=BSSG Factory
config.fields[10].fieldType=String

config.fields[11].fieldName=header_operator_operatorId
config.fields[11].excelFieldName=BSSG Customer Code
config.fields[11].fieldType=String

config.fields[12].fieldName=header_operator_operatorName
config.fields[12].excelFieldName=BSSG Customer Name
config.fields[12].fieldType=String

config.fields[13].fieldName=header_supplier_supplierId
config.fields[13].excelFieldName=Supplier
config.fields[13].fieldType=String

config.fields[14].fieldName=lineItemsList_product_supplementaryUnits
config.fields[14].excelFieldName=Supplementary Units
config.fields[14].fieldType=String

### EUDR XML AUTHENTICATION PARAMS


xml.eudr.authentication.fields[0].attribute=created
xml.eudr.authentication.fields[0].xmlPath=Header/Security/wsu:Timestamp/wsu:Created

xml.eudr.authentication.fields[1].attribute=expires
xml.eudr.authentication.fields[1].xmlPath=Header/Security/wsu:Timestamp/wsu:Expires

xml.eudr.authentication.fields[2].attribute=username
xml.eudr.authentication.fields[2].xmlPath=Header/Security/wsse:UsernameToken/wsse:Username


xml.eudr.authentication.fields[3].attribute=passwordDigest
xml.eudr.authentication.fields[3].xmlPath=Header/Security/wsse:UsernameToken/wsse:Password

xml.eudr.authentication.fields[4].attribute=nonce
xml.eudr.authentication.fields[4].xmlPath=Header/Security/wsse:UsernameToken/wsse:Nonce

xml.eudr.authentication.fields[5].attribute=created
xml.eudr.authentication.fields[5].xmlPath=Header/Security/wsse:UsernameToken/wsu:Created

xml.eudr.authentication.fields[6].attribute=webServiceClientId
xml.eudr.authentication.fields[6].xmlPath=Header/v4:WebServiceClientId

### EUDR XML HEADER PARAMS

xml.eudr.header.fields[0].attribute=operatorType
xml.eudr.header.fields[0].xmlPath=soapenv:Body/v1:SubmitStatementRequest/v1:operatorType
xml.eudr.header.fields[0].isStatic=true

xml.eudr.header.fields[1].attribute=header.companyInternalReference
xml.eudr.header.fields[1].xmlPath=soapenv:Body/v1:SubmitStatementRequest/v1:statement/v11:internalReferenceNumber

xml.eudr.header.fields[2].attribute=header.activity
xml.eudr.header.fields[2].xmlPath=soapenv:Body/v1:SubmitStatementRequest/v1:statement/v11:activityType

xml.eudr.header.fields[3].attribute=identifierType
xml.eudr.header.fields[3].xmlPath=soapenv:Body/v1:SubmitStatementRequest/v1:statement/v11:operator/v11:referenceNumber/v11:identifierType
xml.eudr.header.fields[3].isStatic=true

xml.eudr.header.fields[4].attribute=header.operator.operatorEORI
xml.eudr.header.fields[4].xmlPath=soapenv:Body/v1:SubmitStatementRequest/v1:statement/v11:operator/v11:referenceNumber/v11:identifierValue

xml.eudr.header.fields[5].attribute=header.countryOfActivity.countryIso2
xml.eudr.header.fields[5].xmlPath=soapenv:Body/v1:SubmitStatementRequest/v1:statement/v11:countryOfActivity

xml.eudr.header.fields[6].attribute=header.countryOfEntry.countryIso2
xml.eudr.header.fields[6].xmlPath=soapenv:Body/v1:SubmitStatementRequest/v1:statement/v11:borderCrossCountry

xml.eudr.header.fields[7].attribute=header.communication
xml.eudr.header.fields[7].xmlPath=soapenv:Body/v1:SubmitStatementRequest/v1:statement/v11:comment

xml.eudr.header.fields[8].attribute=lineItems
xml.eudr.header.fields[8].xmlPath=Body/SubmitStatementRequest/statement/v11:commodities
xml.eudr.header.fields[8].isArray=true

xml.eudr.header.fields[9].attribute=header.geoLocationConfidential
xml.eudr.header.fields[9].xmlPath=soapenv:Body/v1:SubmitStatementRequest/v1:statement/v11:geoLocationConfidential

xml.eudr.header.fields[10].attribute=header.ddsReferences
xml.eudr.header.fields[10].xmlPath=Body/SubmitStatementRequest/statement/v11:associatedStatements
xml.eudr.header.fields[10].isArray=true

### EUDR XML RETRIEVED HEADER PARAMS

xml.eudr.retrieved.header.fields[0].attribute=header.operator.operatorName
xml.eudr.retrieved.header.fields[0].xmlPath=//*/operator/name

xml.eudr.retrieved.header.fields[1].attribute=header.operator.operatorCountry
xml.eudr.retrieved.header.fields[1].xmlPath=//*/operator/country

xml.eudr.retrieved.header.fields[2].attribute=header.status
xml.eudr.retrieved.header.fields[2].xmlPath=//*/status/status

xml.eudr.retrieved.header.fields[3].attribute=header.ddsReferences
xml.eudr.retrieved.header.fields[3].xmlPath=//*/associateStatement
xml.eudr.retrieved.header.fields[3].isArray=true



### EUDR XML LINEITEMS PARAMS

xml.eudr.line.items.fields[0].attribute=commodityDesc.goodsDesc
xml.eudr.line.items.fields[0].xmlPath=v11:descriptors/v11:descriptionOfGoods

xml.eudr.line.items.fields[1].attribute=commodityDesc.goodsMeasure.volume
xml.eudr.line.items.fields[1].xmlPath=v11:descriptors/v11:goodsMeasure/v11:volume
xml.eudr.line.items.fields[1].type=numeric

xml.eudr.line.items.fields[2].attribute=commodityDesc.goodsMeasure.netMass
xml.eudr.line.items.fields[2].xmlPath=v11:descriptors/v11:goodsMeasure/v11:netWeight
xml.eudr.line.items.fields[2].type=numeric

xml.eudr.line.items.fields[3].attribute=commodityDesc.goodsMeasure.quantity
xml.eudr.line.items.fields[3].xmlPath=v11:descriptors/v11:goodsMeasure/v11:supplementaryUnit

xml.eudr.line.items.fields[4].attribute=commodityDesc.goodsMeasure.supplementaryUnits
xml.eudr.line.items.fields[4].xmlPath=v11:descriptors/v11:goodsMeasure/v11:supplementaryUnitQualifier

xml.eudr.line.items.fields[5].attribute=hsCode
xml.eudr.line.items.fields[5].xmlPath=v11:hsHeading

xml.eudr.line.items.fields[6].attribute=producers
xml.eudr.line.items.fields[6].xmlPath=v11:producers
xml.eudr.line.items.fields[6].isArray=true
xml.eudr.line.items.fields[6].isStatic=true

### EUDR XML PRODUCERS PARAMS

xml.eudr.producers.fields[0].attribute=ProducerCountry
xml.eudr.producers.fields[0].xmlPath=v11:country

xml.eudr.producers.fields[1].attribute=ProducerName
xml.eudr.producers.fields[1].xmlPath=v11:name

xml.eudr.producers.fields[2].attribute=geoJson
xml.eudr.producers.fields[2].xmlPath=v11:geometryGeojson

### EUDR XML ASSOCIATED STATEMENTS PARAMS

xml.eudr.ref.statements.fields[0].attribute=referenceNumber
xml.eudr.ref.statements.fields[0].xmlPath=v11:referenceNumber

xml.eudr.ref.statements.fields[1].attribute=verificationNumber
xml.eudr.ref.statements.fields[1].xmlPath=v11:verificationNumber


### EUDR RETRIEVAL XML

xml.eudr.retrieval.fields[0].attribute=identifier
xml.eudr.retrieval.fields[0].xmlPath=v1:identifier


### EUDR RETRACTING XML

xml.eudr.retracting.fields[0].attribute=ddsIdentifier
xml.eudr.retracting.fields[0].xmlPath=v1:ddsIdentifier


### EUDR RETRIEVE DDS XML

xml.eudr.retrieve.dds.fields[0].attribute=referenceNumber
xml.eudr.retrieve.dds.fields[0].xmlPath=v1:referenceNumber

xml.eudr.retrieve.dds.fields[1].attribute=verificationNumber
xml.eudr.retrieve.dds.fields[1].xmlPath=v1:verificationNumber

